For the latest news and information visit The GNU Crypto project

## gnu.crypto.tool
Class CipherSpeed

    java.lang.Object
      |
      +--gnu.crypto.tool.CipherSpeed

public final class CipherSpeed
extends java.lang.Object

A tool to exercise a block cipher in order to measure its performance in terms of encrypted/decrypted bytes per second.

Method Summary
`static void` `main(java.lang.String[] args)` Accepts 0, 1 or 2 arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  Accepts 0, 1 or 2 arguments. If no arguments are provided, this method exercises every block cipher implementation using the cipher's default key size. If one argument is provided, it's assumed to be the name of a block cipher to exercise. That cipher is then exercised using its default key size. Finally if two arguments are provided, the first is assumed to be the block cipher name and the second its key size.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.